# azure.mgmt.keyvault.operations module

class `azure.mgmt.keyvault.operations.``VaultsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VaultsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables:

  - filter – The filter to apply on the operation. Constant value: “resourceType eq ‘Microsoft.KeyVault/vaults’”.
  - api_version – Azure Resource Manager Api Version. Constant value: “2015-11-01”.

  `create_or_update`(resource_group_name, vault_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update a key vault in the specified subscription.

    Parameters:

    - resource_group_name (str) – The name of the Resource Group to which the server belongs.
    - vault_name (str) – Name of the vault
    - parameters (`VaultCreateOrUpdateParameters`) – Parameters to create or update the vault
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Vault`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, vault_name, custom_headers=None, raw=False, **operation_config)

    Deletes the specified Azure key vault.

    Parameters:

    - resource_group_name (str) – The name of the Resource Group to which the vault belongs.
    - vault_name (str) – The name of the vault to delete
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, vault_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified Azure key vault.

    Parameters:

    - resource_group_name (str) – The name of the Resource Group to which the vault belongs.
    - vault_name (str) – The name of the vault.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Vault`
    Return type: | `ClientRawResponse` if raw=true

  `list`(top=None, custom_headers=None, raw=False, **operation_config)

    The List operation gets information about the vaults associated with the subscription.

    Parameters:

    - top (int) – Maximum number of results to return.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VaultPaged`

  `list_by_resource_group`(resource_group_name, top=None, custom_headers=None, raw=False, **operation_config)

    The List operation gets information about the vaults associated with the subscription and within the specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the Resource Group to which the vault belongs.
    - top (int) – Maximum number of results to return.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VaultPaged`